#
# ovirt-hosted-engine-setup -- ovirt hosted engine setup
# Copyright (C) 2013-2014 Red Hat, Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#

%global         engine rhevm
%global         package_version 1.2.1
%global         ovirt_hosted_engine_setup_templates %{_datadir}/%{name}/templates
%global         ovirt_hosted_engine_setup_scripts %{_datadir}/%{name}/scripts
%global         vdsmhooksdir %{_libexecdir}/vdsm/hooks
%define         enable_autotools 1


Summary:        RHEV-M Hosted Engine setup tool
Name:           ovirt-hosted-engine-setup
Version:        1.2.1
Release:        8%{?release_suffix}%{?dist}
License:        LGPLv2+
URL:            http://www.redhat.com/virtualization/rhev/server/
Source:         http://resources.ovirt.org/pub/ovirt-3.5/src/%{name}/%{name}-%{package_version}.tar.gz
Group:          Applications/System

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       python
Requires:       python-ethtool >= 0.6-3
Requires:       otopi >= 1.3.0
Requires:       vdsm >= 4.16.7.6
Requires:       vdsm-cli >= 4.16.7.6
Requires:       vdsm-python >= 4.16.7.6
Requires:       ovirt-host-deploy >= 1.3.0
Requires:       openssh-server
Requires:       python-paramiko
Requires:       virt-viewer
Requires:       openssl
Requires:       sudo
Requires:       bind-utils
Requires:       ovirt-hosted-engine-ha >= 1.2.4-2
Requires:       sanlock >= 2.8
Requires:       sanlock-python >= 2.8
Requires:       lsof
Requires:       iptables
BuildRequires:  gettext
BuildRequires:  python2-devel

%if 0%{?enable_autotools}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-devel
%endif

Requires:       %{engine}-sdk-python >= 3.5.0.8

%if 0%{?fedora}
Requires:       qemu-img
%endif

%if 0%{?rhel}
Requires:       qemu-img-rhev >= 0.12.1.2-2.415
%endif

Patch1: 0001-provide-better-error-message-when-iSCSI-luns-list-is.patch
Patch2: 0002-packaging-setup-clean-up-answer-files-writing.patch
Patch3: 0003-packaging-spec-update-dependencies.patch
Patch4: 0004-Get-path-for-answer-file-from-environment.patch
Patch5: 0005-packaging-setup-skip-space-check-on-additional-hosts.patch
Patch6: 0006-packaging-setup-configuring-cluster-CPU-type-only-on.patch
Patch7: 0007-packaging-setup-enforcing-required-networks-configur.patch
Patch8: 0008-iscsi-add-HE-disk-to-the-engine-as-direct-lun.patch
Patch9: 0009-upgrade-allow-to-add-host-to-updated-cluster.patch
Patch10: 0010-iscsi-detecting-empty-LUN-list.patch
Patch11: 0011-iscsi-checking-image-size-against-VG-free-space.patch
Patch12: 0012-node-added-persistent-storage-configuration.patch
Patch13: 0013-core-Allow-automation-of-first-interactions.patch
Patch14: 0014-packaging-setup-Allow-destroying-VM-when-aborting.patch
Patch15: 0015-packaging-setup-better-handling-of-preexisting-stora.patch
Patch16: 0016-packaging-setup-better-exception-handling-on-APIs-co.patch
Patch17: 0017-packaging-setup-Drop-password-and-hostname-from-answ.patch
Patch18: 0018-packaging-setup-matching-also-virtual-interface-name.patch
Patch19: 0019-packaging-branding-for-ovirt-hosted-engine-setup.patch

%description
Hosted Engine tool for Red Hat Enterprise Virtualization.

%prep
%setup -q -n %{name}-%{package_version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
%if 0%{?enable_autotools}
./autogen.sh
%endif
%configure \
        --docdir="%{_docdir}/%{name}-%{version}" \
        --disable-python-syntax-check \
        %{?conf}
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%files
%doc COPYING
%doc README
%dir %{_sysconfdir}/ovirt-hosted-engine-setup.env.d
%dir %{_sysconfdir}/ovirt-hosted-engine
%dir %{_localstatedir}/log/ovirt-hosted-engine-setup
%dir %{_localstatedir}/lib/ovirt-hosted-engine-setup
%dir %{_localstatedir}/lib/ovirt-hosted-engine-setup/answers
%{_sbindir}/hosted-engine
%{_sbindir}/%{name}
%{python_sitelib}/ovirt_hosted_engine_setup/
%{_datadir}/%{name}/
%{_mandir}/man8/*

#move to a separate package?
%{vdsmhooksdir}/before_vm_start/

%changelog
* Thu Dec 11 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.1-8
- Resolves: BZ#1172545

* Wed Dec  3 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.1-7
- Resolves: BZ#1101285

* Mon Dec  1 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.1-6
- Resolves: BZ#1168267

* Tue Nov 25 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.1-5
- Resolves: BZ#1155637
- Resolves: BZ#1106556
- Resolves: BZ#1101285

* Tue Nov 18 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.1-4
- Resolves: BZ#1151339

* Tue Nov 04 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.1-3
- Resolves: BZ#1159028

* Tue Oct 28 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.1-2
- Resolves: BZ#1151366

* Fri Oct  3 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.1-1
- Rebase on upstream 1.2.1
- Resolves: BZ#1147254
- Resolves: BZ#1147468

* Mon Sep 22 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.0-1
- Rebase on upstream 1.2.0
- Resolves: BZ#1139020

* Wed Sep 10 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.0-0.3.beta
- Resolves: BZ#1134873

* Mon Aug 25 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.0-0.2.master
- Resolves: BZ#1105249
- Resolves: BZ#1116785
- Resolves: BZ#1002454

* Fri Jul 25 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.2.0-0.1.ovirtbeta2
- Rebase on upstream beta 2 release
- Resolves: BZ#1109929
- Resolves: BZ#1107772
- Resolves: BZ#1103672
- Resolves: BZ#1078206
- Resolves: BZ#1076944
- Resolves: BZ#1067162
- Resolves: BZ#1043906
- Resolves: BZ#1123213
- Resolves: BZ#1034788

